/*
 * Copyright 2011 TraceTracker AS, Norway.
 */

package com.mycompany.embeddedglassfishtest;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import javax.ejb.embeddable.EJBContainer;
import javax.naming.Context;
import javax.naming.NamingException;

import org.junit.Test;

public class HelloBeanTest {

	@Test
	public void testHelloName() throws NamingException {
		EJBContainer ejbC = EJBContainer.createEJBContainer();		
		Context ctx = ejbC.getContext();

		HelloBean helloBean = (HelloBean) ctx.lookup( "java:global/classes/HelloBean" );
		assertNotNull( helloBean );
		String name = "Viggo";
		String hello = helloBean.hello( name );
		assertNotNull( hello );
		assertEquals( "Hello Viggo", hello );
		ejbC.close();
	}
}
